org.eclipse.ease.debugging

## Interface IScriptRegistry

All Known Subinterfaces:
  IPythonScriptRegistry

All Known Implementing Classes:
  EventDispatchJob, PythonEventDispatchJob, PythonScriptRegistry, ScriptRegistry

    public interface IScriptRegistry

Simple interface for mapping between data types in different debugger realms. The eclipse framework uses `IResource` objects to identify files while EASE relies on `Script` objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`IResource` `getResource(Script script)` Get the `IResource` identified by this `Script`.
`Script` `getScript(IResource resource)` Return the `Script` identified by this `IResource`.
`void` `put(Script script)` Add a new `Script` to the registry and store its mapping.

### Method Detail

#### put

    void put(Script script)

Add a new `Script` to the registry and store its mapping.

Parameters:
  `script` - Script to be stored in registry.

#### getScript

    Script getScript(IResource resource)

Return the `Script` identified by this `IResource`.

Parameters:
  `resource` - `IResource` to get `Script` for.
Returns:
  `Script` identified by `IResource` or `null` if no mapping found.

#### getResource

    IResource getResource(Script script)

Get the `IResource` identified by this `Script`.

Parameters:
  `resource` - `Script` to get `IResource` for.
Returns:
  `IResource` identified by `Script` or `null` if no mapping found.